# AWS API client for Amazon CloudWatch Events

**Warning: This is a generated library, some operations may not work.**

*About the service:*
Amazon EventBridge helps you to respond to state changes in your AWS
resources. When your resources change state, they automatically send events
into an event stream. You can create rules that match selected events in the
stream and route them to targets to take action. You can also use rules to
take action on a predetermined schedule. For example, you can configure
rules to:

<ul>
<li>
Automatically invoke an AWS Lambda function to update DNS entries when an
event notifies you that Amazon EC2 instance enters the running state.
</li>
<li>
Direct specific API records from AWS CloudTrail to an Amazon Kinesis data
stream for detailed analysis of potential security or availability risks.
</li>
<li>
Periodically invoke a built-in target to create a snapshot of an Amazon EBS
volume.
</li>
</ul>
For more information about the features of Amazon EventBridge, see the <a
href="https://docs.aws.amazon.com/eventbridge/latest/userguide">Amazon
EventBridge User Guide</a>.

## Links

- [Other AWS libraries](https://github.com/agilord/aws_client/tree/master/generated).
- [Issue tracker](https://github.com/agilord/aws_client/issues).
- [AWS API definitions](https://github.com/aws/aws-sdk-js/tree/master/apis).

## Contributors

- [Jonathan Böcker](https://github.com/Schwusch)
- [Istvan Soós](https://github.com/isoos)

